Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Interface Get.DownloadProgress

All Known Implementing Classes:
  Get.NullProgress, Get.VerboseProgress

Enclosing class:
  Get

    public static interface Get.DownloadProgress

Interface implemented for reporting progess of downloading.

Method Summary
`void` | `beginDownload()` begin a download
`void` | `endDownload()` end a download
`void` | `onTick()` tick handler

Method Detail

### beginDownload

    void beginDownload()

  begin a download

### onTick

    void onTick()

  tick handler

### endDownload

    void endDownload()

  end a download

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD